Welcome to yEd Q&A!
Here you can ask questions and receive answers from other members of the community and yEd developers. And you can tell us your most wanted feature requests.

Startup-Bug v3.18.1 -> where to find an older, but running version?

0 votes
Hello, I suffer also with the init-Bug in 3.18.1 as I responded to the popup to update when startet my old (working) installation. Unfortunately I didn't retain the old setup.exe, because I always thought, I could download it at any time. But I only see the buggy version. Could you provide me a hint where to find old builds or an external mirror or just send me a setup working?
asked Jul 4, 2018 in Help by nubonssn (120 points)

1 Answer

0 votes

The error you are experiencing is not a yEd problem but a Java 10 issue. Thus you can resolve this problem by following the instructions in Cannot start yEd 3.18.1 because of java.lang.NoSuchMethodError: <init> - i.e. download and install the Java 8 based installer.

In any case, we do not offer old versions of yEd for download.

 

answered Jul 4, 2018 by thomas.behr [yWorks] (126,540 points)
I tried this Version, too. But same happening. Do I have to configure manually some path, yED-proprietary Java_home or so?

No, you do not have to configure anything.

However, you are the first person to experience this problem with Java 8. Thus I would like to ask you to send us the error report generated by yEd. Please include a short comment so we can associate the report to this thread.

Moreover, it would be fantastic if you could do a diagnostics run as explained in Cannot start yEd 3.18.1 because of java.lang.NoSuchMethodError: <init> and send us the result. I would also like to ask you if you have other Java installations on your machine? Especially, is there a Oracle\Java\javapath subdirectory anywhere on your C: drive?

Used Setupfile: yEd-3.18.1_with-JRE8_64-bit_setup.exe
Runned with local admin privileges.
Bugreport send by Dialog, diagnostic log file via Mail answer belonging to the case.

Thank you very much for sending your error report. You are right, the Java 8 installer does not work either (due to an error on our side it is actually not a Java 8 installer at all). We have fixed the installer and replaced the yEd-3.18.1_with-JRE8_64-bit_setup.exe file on the yEd download site. Unfortunately, this means that you have to uninstall, download, and install yEd once again. I am very sorry for the inconvenience.

Legal Disclosure | Privacy Policy